<p align="center">
  <span><img src="./Material/icon.png" width="128"/></span>
</p>

<p align="right"><a href="README-EN.md">中文</a> | EN</p>

# Stay
Stay is an open source iOS Safari extension. As an example of how to develop a Safari extension on iOS, it has also been published on the AppStore. [Stay - web-only browsing](https://apps.apple.com/cn/app/stay-%E7%BD%91%E9%A1%B5%E7%BA%AF%E6%B5%8F%E8%A7%88/id1591620171), and guaranteed free.

Stay is required running on iOS15.


## Features
- Block malvertising.
- Block app jumping.
- Auto unfload text.


## Contribute scripts
#### Apple developers
You can download the source code and modify the related functions to deploy on your iPhone.

#### Non-Apple developers
If you have front-end development experience, you can also choose to contribute scripts. When the PR is merged, you will also experience your updated features in the newest version.

You can check how to contribute scripts to adapt to the new website [good first issue](https://github.com/shenruisi/Stay/issues/2).


## Supported websites
- [知乎 zhihu-content.js](/Stay%20Extension/Resources/zhihu/zhihu-content.js)
- [今日头条 toutiao-content.js](/Stay%20Extension/Resources/toutiao/toutiao-content.js)
- [百度搜索 baidu-content.js](/Stay%20Extension/Resources/baidu/baidu-content.js)
- [百度贴吧 tieba-content.js](/Stay%20Extension/Resources/baidu/tieba-content.js)
- [搜狐 sohu-content.js](/Stay%20Extension/Resources/sohu/sohu-content.js)
- [小红书 xhs-content.js](/Stay%20Extension/Resources/xhs/xhs-content.js)
- [简书 jianshu-content.js](/Stay%20Extension/Resources/jianshu/jianshu-content.js)
- [CSDN csdn-content.js](/Stay%20Extension/Resources/csdn/csdn-content.js)


## LICENSE
[MPL](./LICENSE)


## Safari extension development references
- [Meet Safari Web Extensions on iOS](https://developer.apple.com/videos/play/wwdc2021/10104)
- [CSS Selectors](https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_Selectors)
- [DOMContentLoaded event](https://developer.mozilla.org/en-US/docs/Web/API/Window/DOMContentLoaded_event)
- [Content scripts](https://developer.chrome.com/docs/extensions/mv3/content_scripts/)
- [Safari web extensions](https://developer.apple.com/documentation/safariservices/safari_web_extensions)
- [crxviewer](https://robwu.nl/crxviewer/)
- [Browser support for JavaScript APIs](https://developer.mozilla.org/en-US/docs/Mozilla/Add-ons/WebExtensions/Browser_support_for_JavaScript_APIs)

## Contact us
Please follow the public account `效率先生`, and reply `微信群` to join the wechat group.

<img src="./Material/qrcode.jpg" width="256"/>
